> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Query OrgMonth

> Retrieve a list of OrgMonths with a complex or simple query.



## OpenAPI

````yaml post /v2/query/glasscore/orgmonth
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /v2/query/glasscore/orgmonth:
    post:
      tags:
        - OrgMonth
      summary: Query OrgMonth
      description: Retrieve a list of OrgMonths with a complex or simple query.
      operationId: QueryOrgMonth
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestBodySchema'
      responses:
        '200':
          description: A list of OrgMonths
          content:
            application/json:
              schema:
                type: object
                properties:
                  countEligibleAll:
                    type: number
                    nullable: true
                    description: >-
                      Represents the total number of all eligible entities
                      within an organization for a specific month.
                  countEligibleRandomPool:
                    type: number
                    nullable: true
                    description: >-
                      Represents the number of eligible entities within a random
                      pool for a specific organization in a given month.
                  countPickedAlcohol:
                    type: number
                    nullable: true
                    description: >-
                      Represents the total number of alcoholic items selected in
                      a specific organization for a given month.
                  countPickedAlcoholResult:
                    type: number
                    nullable: true
                    description: >-
                      Represents the total number of alcohol-related results
                      selected within a specific organization for a given month.
                  countPickedDrug:
                    type: number
                    nullable: true
                    description: >-
                      Represents the total number of times a specific drug was
                      selected within an organization in a given month.
                  countPickedDrugResult:
                    type: number
                    nullable: true
                    description: >-
                      Represents the total number of times a specific drug was
                      selected within a given month by an organization.
                  dropCoveredEmployee:
                    type: string
                    description: >-
                      Indicates whether an employee covered under the
                      organization's insurance was removed during a specific
                      month.
                  dropMisReport:
                    type: string
                    description: >-
                      Indicates whether a miscellaneous report was dropped for a
                      specific organization in a particular month.
                  dropRandomPick:
                    type: string
                    description: >-
                      Indicates whether a random selection is discarded in a
                      specific month for an organization.
                  id:
                    type: number
                    description: Unique identifier.
                  label:
                    type: string
                    description: >-
                      Represents the identifier or name assigned to a specific
                      month related to an organization.
                  OrgId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for an organization in
                      the OrgMonth table.
                required:
                  - countEligibleAll
                  - countEligibleRandomPool
                  - countPickedAlcohol
                  - countPickedAlcoholResult
                  - countPickedDrug
                  - countPickedDrugResult
                  - dropCoveredEmployee
                  - dropMisReport
                  - dropRandomPick
                  - id
                  - label
                  - OrgId
components:
  schemas:
    RequestBodySchema:
      type: object
      properties:
        advancedFilter:
          type: object
          properties:
            linkOperator:
              type: string
              enum:
                - AND
                - OR
              description: >-
                Logical operator for combining multiple `items`. Using `AND`
                will require all conditions to be true. Using `OR` will require
                at least one condition to be true.
            items:
              type: array
              items:
                type: object
                properties:
                  columnField:
                    type: string
                    description: Field name to filter by
                    example: nameFirst
                  operatorValue:
                    type: string
                    enum:
                      - contains
                      - endsWith
                      - equals
                      - greaterThan
                      - greaterThanOrEqualTo
                      - isEmpty
                      - isFalse
                      - isNotEmpty
                      - isTrue
                      - lessThan
                      - lessThanOrEqualTo
                      - listContains
                      - notEquals
                      - startsWith
                    description: Operator to use for the filter condition.
                  value:
                    type: string
                    description: Value to filter by.
                    example: John
                required:
                  - columnField
                  - operatorValue
                  - value
                additionalProperties: false
              description: Array of conditions to filter by.
          required:
            - linkOperator
            - items
          additionalProperties: false
          description: >-
            Complex filter configuration allowing for multiple conditions with
            AND/OR operators.
        return:
          type: array
          items:
            type: string
          description: Array of field names to return in the response.
          example:
            - id
            - firstName
            - lastName
        isAdditionalData:
          type: boolean
          default: false
          description: >-
            Set to `true` to merge requested fields with default response, or
            false/omit to return only requested fields plus `ID`.
        page:
          type: number
          default: 1
          description: Page number for pagination.
          example: 1
        pageSize:
          type: number
          default: 500
          description: Number of items per page. Defaults to 500.
          example: 20
        sortBy:
          type: string
          description: Field name to sort by.
          example: createdAt
        sortDirection:
          type: string
          enum:
            - asc
            - desc
          default: desc
          description: 'Sort direction: ascending (asc) or descending (desc).'
          example: desc
      additionalProperties:
        type: string
        description: >-
          Additional key-value pairs for simple filtering. Any field from the
          entity can be used as a filter key. E.g., `field=value` will return
          all records where that field matches the specified value.
        example: status=active
      description: >-
        Multiple query options are supported. You can build a complex query
        filling out the `advancedFilter` section. We also support "simple"
        queries which used by putting the key you want to filter by in the
        `query` section along with the value you want it to filter for. E.g.,
        `nameFirst=John` will return all persons with a first name of John.
      title: Query

````